package nc.bs.ic.m45.wgpt.rule;
import nc.impl.pubapp.pattern.rule.IRule;
import nc.vo.ic.m45.entity.PurchaseInHeadVO;
import nc.vo.ic.m45.entity.PurchaseInVO;
import nc.vo.pubapp.pattern.data.ValueUtils;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;
import nccloud.commons.lang.ArrayUtils;

/**
 * @Description: 来源网购平台的订单生成的采购入库单不允许取消签字
 * 
 * @author 谢文如 【碧桂园-物业板块-网购平台接口】
 * @date 2019-3-6
 * @version with NCC
 */
public class WuYeWgptCancelSignRule implements IRule<PurchaseInVO>{

	@Override
	public void process(PurchaseInVO[] vos) {
		if(ArrayUtils.isEmpty(vos)){
			return;
		}
		PurchaseInHeadVO hVO;
		for(PurchaseInVO vo:vos){
			hVO = vo.getHead();
			/**
			 *只有为空时才能取消签字  begin
			 */
			String isfromwgpt=ValueUtils.getString(hVO.getVdef14());
			if(null!=isfromwgpt && !"".equals(isfromwgpt)){
				//Vdef14 网购平台发送
				ExceptionUtils.wrappBusinessException("来源网购平台的采购入库单不允许取消签字！");
			}
			/**
			 * 只有为空时才能取消签字  end
			 */
		}
	}
}
